Page 3 of 9

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Sun Jan 13, 2019 4:14 pm
by Ulysisgrunt
Here is the address for where I placed the Multiplayer Mod

C:\Program Files (x86)\Slitherine\Field of Glory II\Multiplayer\TT_Mod_MPV1.5.3
Danny Weitz

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Sun Jan 13, 2019 4:56 pm
by Paul59
Ulysisgrunt wrote:
Sun Jan 13, 2019 4:14 pm
Here is the address for where I placed the Multiplayer Mod

C:\Program Files (x86)\Slitherine\Field of Glory II\Multiplayer\TT_Mod_MPV1.5.3
Danny Weitz
That is in the main installation folder. You should never put mods in there.

The installation instructions are in the first post of this thread.

To repeat, the TT Mod Custom Battles and Campaign mod folders go in your My Documents/My Games/FieldOfGlory2/CAMPAIGNS folder.

The Multiplayer TT Mod should go in your My Documents/My Games/FieldOfGlory2/MULTIPLAYER folder.

This probably explains why you cannot accept a TT Mod MP challenge. The game is looking in your My Documents/My Games/FieldOfGlory2/MULTIPLAYER folder for the TT Mod, but it is not there!

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Sun Jan 13, 2019 6:46 pm
by Ulysisgrunt
Here is my files' current address:
C:\My Documents\My Games\Field of Glory2\Multiplayer\TT_Mod_MPV1.5.3

The game says I am running V1.5.3(Build 10009)
Still will not run

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Sun Jan 13, 2019 9:11 pm
by Paul59
Hi,

Did you just create that folder yourself?

I ask because on my Windows 7 PC the full file path is this:

C:\Users/Owner/My Documents\My Games\Field of Glory2\Multiplayer\TT_Mod_MPV1.5.3

On my son's Windows 10 PC the full file path is:

This PC/Documents/My Games\Field of Glory2\Multiplayer\TT_Mod_MPV1.5.3

I don't know if other versions of Windows have different file paths, but it is strange to me that your My Documents folder is sitting directly in the C drive.

The My Documents\My Games\Field of Glory2/Multiplayer folder is created by the game when you install it, you just need to find it and put the TT_Mod_MPV1.5.3 folder in it.

If you have already done that, I am at a loss to explain why it is not working. Some players have experienced problems with the TT Mod due to a corrupted download, they have found that downloading again has solved the issue, maybe that could be the problem in your case.

There is only one public challenge on the server at the moment, maybe you were trying to accept one of the private matches?

Good luck!

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 4:13 am
by Ulysisgrunt
Here is where the multiplayer Mod is:
C:\My Documents\My Games\FieldofGlory2\Multiplayer\TT_Mod_MPV1.5.3
Here is where the other two files are:
C:\My Documents\My Games\FieldofGlory2\CAMPAIGNS\TT_Mod_CampaignsV1.5.3
C:\My Documents\My Games\FieldofGlory2\CAMPAIGNS\TT_Mod_CustomBattlesV1.5.3
The FOGII Target and start in the Icon point to these files.
I am running Windows 10

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 4:41 am
by Ulysisgrunt
When attempting to play the TT Mod Custom Battles and TT Mod Multiplayer Custom Battles, make sure you click on the "Select Another Module" button to select the TT Mod. The select another module screen only appears when I wish to create a scenario.

I have changed my directory to "C:\Documents"
When I downloaded the files it "CustomBattles" I have changed the title to "Custom_Battles"

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 9:34 am
by Paul59
Ulysisgrunt wrote:
Mon Jan 14, 2019 4:41 am


I have changed my directory to "C:\Documents"
I hope you have not changed the name of your directory from C:\My Documents to C:\Documents? That could cause you severe problems!

In your previous post you said that the Multiplayer TT mod was in C:\My Documents\My Games\FieldofGlory2\Multiplayer\TT_Mod_MPV1.5.3, that looks correct to me. If you can still not accept public TT Mod challenges I can only assume that your Multiplayer TT Mod download was corrupted.

The fact is that the TT_Mod_MPV1.5.3 does work, it has been downloaded nearly 150 times, and several players are using it successfully. The only possible reasons why it is not working for you are either your download was corrupted, or you have made an error in placing it in your PC file structure.

Your best bet is to delete the TT_Mod_MPV1.5.3 from your PC, including from the C:\Program Files (x86)\Slitherine\Field of Glory II\Multiplayer folder, if it is still there. Then download TT_Mod_MPV1.5.3 again, and install to C:\My Documents\My Games\FieldofGlory2\Multiplayer.


Good luck

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 10:09 am
by Paul59
When you install Field of Glory II, a folder is automatically created in the My Documents part of your PC's file structure.

The exact address of that folder is different for the various versions of Windows. For Windows 7 it is C:\My Documents\My Games\FieldofGlory2. On my Windows 7 system, the folder looks like this:

Image

The main FieldOfGlory2 folder and all it's sub folders are created automatically, you do not need to manually change the names or locations.

All user created scenarios, campaigns and most mods go into the CAMPAIGNS sub folder.

All user created MP scenarios go into the MULTIPLAYER sub folder.

All Global mods go into the MODS sub folder.

All your saved game files are kept in the SAVES sub folder.

All screenshots go in the SCREENS sub folder.

Any error messages created by the game when there is a CTD are saved to the FieldOfGlory2 main folder. This is also where the OPTIONS and USER text files are saved.

When you download a scenario using the in-game download button, the system places the downloaded files in the correct folder automatically. For mods such as the TT Mod (which is too large to use the in-game system) and rico21s scenarios you have to paste the downloaded files into the correct sub folder yourself.

I hope this is useful.

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 12:10 pm
by Yaitz331
Is it possible to download the mod and disable it? I need to get it for the Biblical section of the FOG2DL, but I'd prefer to continue using base game except for that.

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 12:30 pm
by Paul59
Yaitz331 wrote:
Mon Jan 14, 2019 12:10 pm
Is it possible to download the mod and disable it? I need to get it for the Biblical section of the FOG2DL, but I'd prefer to continue using base game except for that.
The mod does not affect the base game at all. There is no need to disable it. You only select the mod, when you want to play it.

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 12:39 pm
by Yaitz331
Paul59 wrote:
Mon Jan 14, 2019 12:30 pm
Yaitz331 wrote:
Mon Jan 14, 2019 12:10 pm
Is it possible to download the mod and disable it? I need to get it for the Biblical section of the FOG2DL, but I'd prefer to continue using base game except for that.
The mod does not affect the base game at all. There is no need to disable it. You only select the mod, when you want to play it.
Ah, OK. Thanks.

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 3:11 pm
by Ulysisgrunt
At this point, I think that it is best if I uninstall FOG2, and re-install it,

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 5:45 pm
by Ulysisgrunt
I have re-installed the game.
I am running windows10.
When I try to create a game, the screen says "TT MOD MULTIPLAYER 1.5.3"
and I can create a game.
I cannot open an existing challenge and get the following error message:
"Cannot find custom scenario. You need to download and install this free user content before you can play. Check the forums for more details."
Required Campaign TT_MOD_MPV1.5.3
Required Scenario: SKIRMISH
I have placed all 3 mods in both the Multiplayer and Campaign folders.
When I re-installed the game here is where the installer placed it, in my D Drive (My C Drive is quite small)
D:\Program Files (x86)\Slitherine\Field of Glory II

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 7:24 pm
by Paul59
Ulysisgrunt wrote:
Mon Jan 14, 2019 5:45 pm
I have re-installed the game.
I am running windows10.
When I try to create a game, the screen says "TT MOD MULTIPLAYER 1.5.3"
and I can create a game.
I cannot open an existing challenge and get the following error message:
"Cannot find custom scenario. You need to download and install this free user content before you can play. Check the forums for more details."
Required Campaign TT_MOD_MPV1.5.3
Required Scenario: SKIRMISH
I have placed all 3 mods in both the Multiplayer and Campaign folders.
When I re-installed the game here is where the installer placed it, in my D Drive (My C Drive is quite small)
D:\Program Files (x86)\Slitherine\Field of Glory II
Where exactly did you paste the TT_MOD_MPV1.5.3 folder?

Did you download the TT_MOD_MPV1.5.3 afresh from the Mediafire link, or are you still using the first one that you downloaded?

BTW, the Custom Battles and Campaign versions of the TT Mod are irrelevant to the problem that you are reporting. The problem must be with the TT_MOD_MPV1.5.3 folder. Either it is not in the right place or it is a corrupted download. The puzzling thing is that you can post a challenge. I wonder if RBS or one of the technical staff has any input to this problem?

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Mon Jan 14, 2019 7:51 pm
by rbodleyscott
Paul59 wrote:
Mon Jan 14, 2019 7:24 pm
I wonder if RBS or one of the technical staff has any input to this problem?
Nothing immediately springs to mind, but I am thinking about it.

I note that all of the TT Mod MP challenges in the lobby, apart from the one Danny posted himself, are locked (password protected), so he would not be able to accept them anyway, unless he has the password. But he should not get the error message he is getting.

I need to download the MP version of the Mod myself and check it.

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Tue Jan 15, 2019 12:33 am
by Ulysisgrunt
Here is the current state of my problem:

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Tue Jan 15, 2019 12:33 am
by Ulysisgrunt
I uninstalled the game, and re-installed the game, version 1.47. It was now in the correct location; "This PC/Documents/My Games\Field of Glory2"; and it had all the needed sub-folders, and worked properly.
However, when I had to upgrade it to the 1.53 update, it installed it in my previous wrong location "D:\Program Files (x86)\Slitherine\Field of Glory II" and clobbered the various sub-folders rendering the game unplayable.
How can I direct the update to install the update (1.53) in the proper location? It automatically seems to be hardwired to go to the wrong location?

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Tue Jan 15, 2019 7:00 am
by Ulysisgrunt
It looks like I have finally solved the problem!

I installed the game from the disk rather than a download.

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Tue Jan 15, 2019 12:03 pm
by Paul59
Ulysisgrunt wrote:
Tue Jan 15, 2019 7:00 am
It looks like I have finally solved the problem!

I installed the game from the disk rather than a download.
That is great news! So installing FOG2 from the disk solved the problem?

Re: New TT Mod version 1.5.3 AVAILABLE HERE!

Posted: Tue Jan 15, 2019 5:01 pm
by Ulysisgrunt
I actually have two registered serial numbers for the game. The 'download' version was giving me trouble, forcing all updates into an unwanted bad location. When I installed it from my disk, which was registered with a different serial number, I was able to install the game and all updates in the proper location which you had suggested. Many Thanks!
By the way, my 'registry' and directory look like a battlefield with bits and pieces of semi-uninstalled programs scattered about.